{% extends "admin_pages_app/base.html" %}
<style>
    .form-inline{
        display: -ms-flexbox;
        display: flex;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        -ms-flex-align: center;
        align-items: center;
    }
</style>

{% block content %}
    <div style="display: flex; justify-content: flex-end;">
        <a href="{% url 'admin_pages_app:custom-pages-list' %}" id="return-btn" class="btn btn-dark">Return</a>
    </div>
    <div id="content-main" class="col-12">
        {% if error %}
            <h1 class="text-center">{{ error }}</h1>
        {% else %}
            <h1 class="text-center mb-4">{{ title }}</h1>
            <div class="justify-content-center d-flex">
            </div>
        {% endif %}
    </div>
    <div>
        <p><em>**Succesfull payouts in the 'PAID' status are marked with green color</em></p>
    </div>
    <table class="table table-striped table-sm" id="orderTable">
        <thead class="thead-dark">
            <tr>
                {% for header in table_header_row %}<th scope="col" style="text-align: center;">{{ header }}</th>{% endfor %}
            </tr>
        </thead>
            <tbody>
                {% for payout in objects %}
                    {% if payout.status == 'paid' %}
                        <tr style="background-color: #bdfcb6">
                    {% else %}
                        <tr>
                    {% endif %}
                        <td style="text-align: center;">{{ payout.id }}</td>
                        <td style="text-align: center;">{{ payout.place_owner.profile.company_legal_name }}</td>
                        <td style="text-align: center;">{{ payout.payout_id }}</td>
                        <td style="text-align: center;">{{ payout.transferred_amount }}</td>
                        <td style="text-align: center;">{{ payout.status }}</td>
                        <td style="text-align: center;">{{ payout.created_at }}</td>
                        <td align="right">
                            <a href="{% url 'admin_pages_app:payout-details' %}?payoutdata_id={{ payout.id }}" class="btn btn-primary">Details</a>
                        </td>
                    </tr>
            </tbody>
                {% endfor %}

    </table>
{% endblock content %}
